<mat-card
  *transloco="let t"
  class="organization-details-container">
  <mat-card-title class="bold headline-container">
    {{t('organization_forms.details')}}
    <mat-icon
      *ngIf="isEditable"
      [color]="isDone ? 'accent' : 'warn'">
      {{isDone ? 'done' : 'block'}}
    </mat-icon>
  </mat-card-title>
  <div class="column-container">
    <p class="bold">
      {{t('organization_forms.description_german')}}
    </p>
    <p>{{organizationDetails?.description_de}}</p>
  </div>
  <div class="column-container">
    <p class="bold">
      {{t('organization_forms.description_english')}}
    </p>
    <p>{{organizationDetails?.description_en}}</p>
  </div>
  <div class="column-container">
    <p class="bold">{{t('organization_forms.categories')}}</p>
    <p class="comma">
      <ng-container *ngFor="let category of organizationDetails?.categories; last as l">
        <div class="comma-item">
          {{'organization_categories.'+category|transloco}}
          <div *ngIf="!l">,&nbsp;</div>
        </div>
      </ng-container>
    </p>
  </div>
  <div class="row-container">
    <div class="column-container">
      <p class="bold">{{t('organization_forms.user_count')}}</p>
      <p>
        {{organizationDetails?.number_of_members}}
      </p>
    </div>
    <button
      *ngIf="isEditable"
      mat-flat-button
      color="primary"
      class="round-button"
      (click)="editOrganizationDetailsClicked.emit()">
      {{t('general_forms.edit')}}
    </button>
  </div>
</mat-card>
